#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './aguaconfigui.ui'
**
** Created: Thu Nov 21 15:50:50 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "aguaconfigui.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a AguaConfigUI as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
AguaConfigUI::AguaConfigUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AguaConfigBase" );
    AguaConfigBaseLayout = new QVBoxLayout( this, 0, 6, "AguaConfigBaseLayout"); 

    decorationBox = new QGroupBox( this, "decorationBox" );
    decorationBox->setColumnLayout(0, Qt::Vertical );
    decorationBox->layout()->setSpacing( 6 );
    decorationBox->layout()->setMargin( 11 );
    decorationBoxLayout = new QHBoxLayout( decorationBox->layout() );
    decorationBoxLayout->setAlignment( Qt::AlignTop );

    Layout4 = new QVBoxLayout( 0, 0, 6, "Layout4"); 

    showAppIcons = new QCheckBox( decorationBox, "showAppIcons" );
    Layout4->addWidget( showAppIcons );

    smallCaptions = new QCheckBox( decorationBox, "smallCaptions" );
    Layout4->addWidget( smallCaptions );

    largeGrabBars = new QCheckBox( decorationBox, "largeGrabBars" );
    Layout4->addWidget( largeGrabBars );

    useShadowedText = new QCheckBox( decorationBox, "useShadowedText" );
    Layout4->addWidget( useShadowedText );

    useColoredButtons = new QCheckBox( decorationBox, "useColoredButtons" );
    Layout4->addWidget( useColoredButtons );
    decorationBoxLayout->addLayout( Layout4 );
    AguaConfigBaseLayout->addWidget( decorationBox );
    languageChange();
    resize( QSize(470, 333).expandedTo(minimumSizeHint()) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AguaConfigUI::~AguaConfigUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AguaConfigUI::languageChange()
{
    setCaption( tr2i18n( "Agua" ) );
    decorationBox->setTitle( tr2i18n( "Decoration Settings" ) );
    showAppIcons->setText( tr2i18n( "Display the window &icon in the caption bubble" ) );
    QWhatsThis::add( showAppIcons, tr2i18n( "Check this option if you want the window icon to be displayed in the caption bubble next to the titlebar text." ) );
    smallCaptions->setText( tr2i18n( "Draw &small caption bubbles on active windows" ) );
    QWhatsThis::add( smallCaptions, tr2i18n( "Check this option if you want the caption bubble to have the same size on active windows that it has on inactive ones. This option is useful for laptops or low resolution displays where you want maximize the amount of space available to the window contents." ) );
    largeGrabBars->setText( tr2i18n( "Draw g&rab bars below windows" ) );
    QWhatsThis::add( largeGrabBars, tr2i18n( "Check this option if you want a grab bar to be drawn below windows. When this option is not selected only a thin border will be drawn in its place." ) );
    useShadowedText->setText( tr2i18n( "Use shadowed &text" ) );
    QWhatsThis::add( useShadowedText, tr2i18n( "Check this option if you want the titlebar text to have a 3D look with a shadow behind it." ) );
    useColoredButtons->setText( tr2i18n( "Use colored &buttons" ) );
    QWhatsThis::add( useColoredButtons, tr2i18n( "Check this option if you want coloured buttons in the titlebar." ) );
}

#include "aguaconfigui.moc"
